Skip to main content
GET
Profile Posts
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

url
string

Facebook profile URL

Example:

"https://www.facebook.com/pacemorby"

pageId
string

Facebook profile page id

Example:

"100063669491743"

cursor
string

To paginate through the posts

Example:

"Cg8Ob3JnYW5pY19jdXJzb3IJA..."

Response

Successful response

Key Response Fields:

  • data.posts[0].id: Post ID
  • data.posts[0].text: Post text/caption
  • data.posts[0].url: Direct URL to the post or reel
  • data.posts[0].author.name: Name of the page that posted
  • data.posts[0].reactionCount: Total reaction (like/love/etc.) count
  • data.posts[0].commentCount: Total comment count
  • data.posts[0].publishTime: Unix timestamp of when the post was published
  • data.posts[0].videoDetails.sdUrl: SD video stream URL (if a video post)
  • data.posts[0].videoDetails.hdUrl: HD video stream URL (if a video post)
  • data.posts[0].videoDetails.thumbnailUrl: Video thumbnail URL
  • data.posts[0].image: Static post image URL (for image posts)
  • data.cursor: Pagination cursor — pass as cursor to get the next 3 posts